%define name		webnfs
%define version		1.2
%define cvs_version	1_2
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	WebNFS Client SDK for Java
License:	Sun Binary Code License
URL:		http://www.sun.com/webnfs/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}_sdk_fcs%{cvs_version}.zip
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
WebNFS Client SDK for Java software breaks down the NOS barriers and
delivers the organization's mission-critical information easily to
Java-based client/server applications. As a 100% Pure Java solution, it
provides reliable, location-independent access to information stored on
the intranet or Internet.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n %{name}_sdk_fcs%{cvs_version}
# fix files perms
chmod -R go=u-w *

%build

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.zip $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 xfilechooser.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-xfilechooser-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# demo and samples
export CLASSPATH=$PWD/%{name}.zip:$PWD/xfilechooser.jar
(cd demos/DemoEditor && %javac *.java)
(cd demos/FileChooserDemo && %javac *.java)
(cd sample && %javac *.java)
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/demo
cp -pr demos/* $RPM_BUILD_ROOT%{_datadir}/%{name}/demo
install -m 644 sample/* $RPM_BUILD_ROOT%{_datadir}/%{name}/demo

# javadocs
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc README.txt JFileChooser-patch/
%{_javadir}/*
%dir %{_datadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc index.html en/

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}/demo
%{_datadir}/%{name}/demo/*


%changelog
* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:1.2-1jpp
- release
